Package org.apache.sling.commons.compiler

## Class CompilerMessage

- java.lang.Object
- - org.apache.sling.commons.compiler.CompilerMessage

    @ProviderType
    public class CompilerMessage
    extends Object

This class encapsulates a message produced the compiler. A message is either a warning or an error. The messages are retrieved from the `CompilationResult`.

Since:
  2.0

### Constructor Summary

Constructors
`CompilerMessage​(String file, int line, int column, String message)` The error message constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getColumn()` Return the column number of the program text originating this message
`String` `getFile()` Return the filename associated with this compiler message.
`int` `getLine()` Return the line number of the program text originating this message
`String` `getMessage()` Return the message

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CompilerMessage

    public CompilerMessage​(String file,
                           int line,
                           int column,
                           String message)

The error message constructor.

Parameters:
  `file` - The name of the file containing the offending program text
  `line` - The line number of the offending program text
  `column` - The column number of the offending program text
  `message` - The actual text

### Method Detail

#### getFile

    public String getFile()

Return the filename associated with this compiler message.

Returns:
  The filename associated with this compiler message

#### getLine

    public int getLine()

Return the line number of the program text originating this message

Returns:
  The line number of the program text originating this message

#### getColumn

    public int getColumn()

Return the column number of the program text originating this message

Returns:
  The column number of the program text originating this message

#### getMessage

    public String getMessage()

Return the message

Returns:
  The message